## ros-melodic-visualstates 0.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(visualstates)

find_package(catkin REQUIRED COMPONENTS roscpp rospy std_msgs)

catkin_python_setup()
catkin_package(INCLUDE_DIRS include)

SET(SOURCE_CPP_RUNTIME
	src/visualstates/codegen/cpp/state.cpp
	src/visualstates/codegen/cpp/transition.cpp
	src/visualstates/codegen/cpp/temporaltransition.cpp
    src/visualstates/codegen/cpp/runtimegui.cpp
)

include_directories(
    ${catkin_INCLUDE_DIRS}
    include
)

ADD_LIBRARY(visualStatesRunTime SHARED ${SOURCE_CPP_RUNTIME})
TARGET_LINK_LIBRARIES(visualStatesRunTime pthread)
INSTALL(TARGETS visualStatesRunTime LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

catkin_install_python(PROGRAMS scripts/main.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

#install runtime headers
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/visualstates/
		DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# install cpp sources for ros node generation
INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/src/visualstates/codegen/cpp/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/codegen)

INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-visualstates (0.2.4-1bionic) bionic; urgency=high

  * Merge pull request #151 <https://github.com/JdeRobot/VisualStates/issues/151> from JdeRobot/dependabot/bundler/docs/rake-tw-12.3
    Update rake requirement from ~> 10.0 to ~> 12.3 in /docs
  * Update rake requirement from ~> 10.0 to ~> 12.3 in /docs
    Updates the requirements on [rake](https://github.com/ruby/rake) to permit the latest version.
    - [Release notes](https://github.com/ruby/rake/releases)
    - [Changelog](https://github.com/ruby/rake/blob/master/History.rdoc)
    - [Commits](https://github.com/ruby/rake/compare/v10.5.0...v12.3.3)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Merge pull request #150 <https://github.com/JdeRobot/VisualStates/issues/150> from JdeRobot/fix-setup
    add missing module visualstates.gui.util
  * add missing module visualstates.gui.util
  * Contributors: JoseMaria Cañas, Okan Asik, Okan Aşık, dependabot[bot]

 -- Okan Aşık <asik.okan@gmail.com>  Sat, 11 Apr 2020 16:00:00 -0000

ros-melodic-visualstates (0.2.3-1bionic) bionic; urgency=high

  * 0.2.2
  * have a new informative about dialog
  * fixes an import bug
  * fixes state initialization bug.
  * fixes state and transition name editing in runtime gui bug.
  * fixes runtime gui hierarhical view bug.

 -- Okan Aşık <asik.okan@gmail.com>  Sun, 26 Jan 2020 16:00:00 -0000

=== debian/control ===
Source: ros-melodic-visualstates
Section: misc
Priority: optional
Maintainer: Okan Aşık <asik.okan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-visualstates
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pyqt5-dev, python-pyqt5, python-pyqt5.qsci, python-pyqt5.qtsvg, python-rospkg, python-sip-dev, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs
Description: The VisualStates is reactive hierarchical visual robot planning tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-visualstates//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
